Draft Rectangle: Difference between revisions

From FreeCAD Documentation
(Removed superfluous information)
(Do not constrain the second point to an axis, or a proper rectangle will not be constructed.)
Line 18: Line 18:


==Options== <!--T:5-->
==Options== <!--T:5-->
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.

Revision as of 00:42, 7 November 2018

Draft Rectangle

Menu location
Draft → Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
-
See also
Part Box

Description

The Rectangle tool creates a rectangle by picking two points. It uses the Draft Linestyle set on the Draft Tray.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

How to use

  1. Press the Draft Rectangle button, or press R then E keys.
  2. Click a first corner point on the 3D view, or type a coordinate.
  3. Click another opposite point on the 3D view, or type a coordinate.

Options

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle filled with a face after it has been closed.
  • Press ESC or the Cancel button to abort the current Line command.
  • Rectangles, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property.

Properties

  • DataLength: Specifies the length of the rectangle
  • DataWidth: Specifies the width of the rectangle
  • DataChamfer Size: Specifies the diagonal size of the 45 degree chamfer at each corner of the rectangle
  • DataFillet Radius: Specifies the radius of the 90 degree fillet at each corner of the rectangle
  • DataRows: Divides the rectangle (horizontally) into equal-sized rows. The whole rectangle is 1 row, by default
  • DataColumns: Divides the rectangle (vertically) into equal-sized columns. The whole rectangle is 1 column, by default
  • DataMake Face: Fills the rectangle with a face
  • ViewTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.
  • ViewPattern: Specifies a hatch pattern to fill the wire with.
  • ViewPattern Size: Specifies the size of the hatch pattern

See also Draft Pattern page.

Scripting

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Creates a Rectangle object with length in X direction and height in Y direction.
  • If a placement is given, it is used.
  • If face is None, the rectangle is shown as a wireframe, otherwise as a face.
  • The current Draft Linestyle will be used.

Example:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(10, 4)